SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Xpdf Vendors:   Glyph and Cog
Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1024519
SecurityTracker URL:  http://securitytracker.com/id/1024519
CVE Reference:   CVE-2010-3704   (Links to External Site)
Date:  Oct 7 2010
Impact:   Execution of arbitrary code via network, User access via network
Vendor Confirmed:  Yes  
Version(s): 3.02pl4 and prior versions
Description:   A vulnerability was reported in Xpdf. A remote user can cause arbitrary code to be executed on the target system.

A remote user can create a PDF file with specially crafted fonts that, when loaded by the target user or application, will trigger an array indexing error in FoFiType1::parse() and execute arbitrary code on the target system. The code will run with the privileges of the target user or application.

Poppler is also affected.

Impact:   A remote user can create a file that, when loaded by the target user or application, will execute arbitrary code on the target system.
Solution:   No upstream solution was available at the time of this entry.
Vendor URL:  www.foolabs.com/xpdf/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Oct 7 2010 (Red Hat Issues Fix) Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 4.
Oct 8 2010 (Red Hat Issues Fix for gpdf) Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
Red Hat has issued a fix for gpdf for Red Hat Enterprise Linux 4.
Oct 8 2010 (Red Hat Issues Fix for poppler) Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
Red Hat has issued a fix for poppler for Red Hat Enterprise Linux 5.
Oct 8 2010 (Red Hat Issues Fix for kdegraphics) Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
Red Hat has issued a fix for kdegraphics for Red Hat Enterprise Linux 4 and 5.
Jan 28 2011 (OpenOffice Issues Fix) Xpdf Array Indexing Error in FoFiType1::parse() Lets Remote Users Execute Arbitrary Code
OpenOffice has issued a fix.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC